#!/bin/bash
# Author Rob Trew – Twitter @complexpoint Copyright 2017

/usr/bin/osascript -l JavaScript <<JXA_END 2>/dev/null
(function (f, c, p, i, n) {
    'use strict';
    function kmSet(kv) {
        Application('Keyboard Maestro Engine')
            .setvariable(kv[0], {
                to: kv[1] || '%Delete%'
            });
    }
    [
        ['tp3FilePath', f],
        ['tp3CreateIfNotFound', c],
        ['tp3ProjectName', p],
        ['tp3ItemFormat', i],
        ['tp3NewMessagesAt', n]
    ].map(kmSet);
})("$KMPARAM_File_path",
    "$KMPARAM_Create_if_not_found",
    "$KMPARAM_Project_name",
    "$KMPARAM_Item_format",
    "$KMPARAM_New_messages_at");
JXA_END

PLUGINS="$HOME/Library/Application Support/Keyboard Maestro/Keyboard Maestro Actions"
/usr/bin/osascript -l JavaScript "$PLUGINS/Add selected Mail to TaskPaper 3 project/mailToTaskPaper3.js"

